/*-
 * ~~~~~~licensing~~~~~~
 * events-rest
 * ==========
 * Copyright (C) 2020 - 2023 EmDev LLC
 * ==========
 * You may not use this file except in accordance with the License Terms of the Copyright
 * Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
 * rights to the Software and any copies are the property of the Copyright Holder. Unless
 * it is explicitly allowed the Copyright Holder, the User is prohibited from using the
 * Software for commercial purposes to provide services to third parties.
 * 
 * The Copyright Holder hereby declares that the Software is provided on an "AS IS".
 * Under no circumstances does the Copyright Holder guarantee or promise that the
 * Software provided by him will be suitable or not suitable for the specific purposes
 * of the User, that the Software will meet all commercial and personal subjective
 * expectations of the User, that the Software will work properly, without technical
 * errors, quickly and uninterruptedly.
 * 
 * Under no circumstances shall the Copyright Holder or its Affiliates is not liable
 * to the User for any direct or indirect losses of the User, his expenses or actual
 * damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
 * or damage to data, property, etc.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.core.events.rest.response;

import java.util.List;
import java.util.Map;

public class CreateTopicResponse extends JsonSuccessResponse {

    private Map<String, List<String>> subscriberErrors;
    private Map<String, List<String>> publisherErrors;

    public Map<String, List<String>> getSubscriberErrors() {
        return subscriberErrors;
    }

    public void setSubscriberErrors(Map<String, List<String>> subscriberErrors) {
        this.subscriberErrors = subscriberErrors;
    }

    public Map<String, List<String>> getPublisherErrors() {
        return publisherErrors;
    }

    public void setPublisherErrors(Map<String, List<String>> publisherErrors) {
        this.publisherErrors = publisherErrors;
    }

    public static CreateTopicResponse getInstance(String title, String topicName,
                                                  Map<String, List<String>> subscriberErrors, Map<String, List<String>> publisherErrors) {
        CreateTopicResponse response = new CreateTopicResponse();

        response.setTitle(title);
        response.setTopicName(topicName);
        response.setSubscriberErrors(subscriberErrors);
        response.setPublisherErrors(publisherErrors);

        return response;
    }

}
